<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>ClientAnchor (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ClientAnchor (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6,"i16":6,"i17":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ClientAnchor.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/ChildAnchor.html"
               title="interface in org.apache.poi.ss.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.AnchorType.html"
               title="enum in org.apache.poi.ss.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/ClientAnchor.html" target="_top">Frames</a>
        </li>
        <li><a href="ClientAnchor.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.usermodel</div>
    <h2 title="Interface ClientAnchor" class="title">Interface ClientAnchor</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html"
                           title="class in org.apache.poi.hssf.usermodel">HSSFClientAnchor</a>, <a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFClientAnchor.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFClientAnchor</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public interface <span class="typeNameLabel">ClientAnchor</span></pre>
                <div class="block">A client anchor is attached to an excel worksheet. It anchors against
                    absolute coordinates, a top-left cell and fixed height and width, or
                    a top-left and bottom-right cell, depending on the <a
                            href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.AnchorType.html"
                            title="enum in org.apache.poi.ss.usermodel"><code>ClientAnchor.AnchorType</code></a>:
                    <ol>
                        <li>
                            <a href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.AnchorType.html#DONT_MOVE_AND_RESIZE"><code>ClientAnchor.AnchorType.DONT_MOVE_AND_RESIZE</code></a>
                            == absolute top-left coordinates and width/height, no cell references
                        <li>
                            <a href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.AnchorType.html#MOVE_DONT_RESIZE"><code>ClientAnchor.AnchorType.MOVE_DONT_RESIZE</code></a>
                            == fixed top-left cell reference, absolute width/height
                        <li>
                            <a href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.AnchorType.html#MOVE_AND_RESIZE"><code>ClientAnchor.AnchorType.MOVE_AND_RESIZE</code></a>
                            == fixed top-left and bottom-right cell references, dynamic width/height
                    </ol>
                    Note this class only reports the current values for possibly calculated positions and sizes.
                    If the sheet row/column sizes or positions shift, this needs updating via external calculations.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Interface and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.AnchorType.html"
                                        title="enum in org.apache.poi.ss.usermodel">ClientAnchor.AnchorType</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.AnchorType.html"
                                        title="enum in org.apache.poi.ss.usermodel">ClientAnchor.AnchorType</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#getAnchorType--">getAnchorType</a></span>()</code>
                                    <div class="block">Gets the anchor type
                                        Changed from returning an int to an enum in POI 3.14 beta 1.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#getCol1--">getCol1</a></span>()</code>
                                    <div class="block">Returns the column (0 based) of the first cell, or -1 if there is
                                        no top-left anchor cell.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#getCol2--">getCol2</a></span>()</code>
                                    <div class="block">Returns the column (0 based) of the second cell, or -1 if there
                                        is no bottom-right anchor cell.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#getDx1--">getDx1</a></span>()</code>
                                    <div class="block">Returns the x coordinate within the first cell.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#getDx2--">getDx2</a></span>()</code>
                                    <div class="block">Returns the x coordinate within the second cell

                                        Note - XSSF and HSSF have a slightly different coordinate
                                        system, values in XSSF are larger by a factor of
                                        <a href="../../../../../org/apache/poi/util/Units.html#EMU_PER_PIXEL"><code>Units.EMU_PER_PIXEL</code></a>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#getDy1--">getDy1</a></span>()</code>
                                    <div class="block">Returns the y coordinate within the first cell

                                        Note - XSSF and HSSF have a slightly different coordinate
                                        system, values in XSSF are larger by a factor of
                                        <a href="../../../../../org/apache/poi/util/Units.html#EMU_PER_PIXEL"><code>Units.EMU_PER_PIXEL</code></a>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#getDy2--">getDy2</a></span>()</code>
                                    <div class="block">Sets the y coordinate within the second cell

                                        Note - XSSF and HSSF have a slightly different coordinate
                                        system, values in XSSF are larger by a factor of
                                        <a href="../../../../../org/apache/poi/util/Units.html#EMU_PER_PIXEL"><code>Units.EMU_PER_PIXEL</code></a>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#getRow1--">getRow1</a></span>()</code>
                                    <div class="block">Returns the row (0 based) of the first cell, or -1 if there is no
                                        bottom-right anchor cell.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#getRow2--">getRow2</a></span>()</code>
                                    <div class="block">Returns the row (0 based) of the second cell, or -1 if there is
                                        no bottom-right anchor cell.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#setAnchorType-org.apache.poi.ss.usermodel.ClientAnchor.AnchorType-">setAnchorType</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.AnchorType.html"
                                        title="enum in org.apache.poi.ss.usermodel">ClientAnchor.AnchorType</a>&nbsp;anchorType)</code>
                                    <div class="block">Sets the anchor type</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#setCol1-int-">setCol1</a></span>(int&nbsp;col1)</code>
                                    <div class="block">Sets the column (0 based) of the first cell.</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#setCol2-int-">setCol2</a></span>(int&nbsp;col2)</code>
                                    <div class="block">Returns the column (0 based) of the second cell.</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#setDx1-int-">setDx1</a></span>(int&nbsp;dx1)</code>
                                    <div class="block">Sets the x coordinate within the first cell

                                        Note - XSSF and HSSF have a slightly different coordinate
                                        system, values in XSSF are larger by a factor of
                                        <a href="../../../../../org/apache/poi/util/Units.html#EMU_PER_PIXEL"><code>Units.EMU_PER_PIXEL</code></a>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#setDx2-int-">setDx2</a></span>(int&nbsp;dx2)</code>
                                    <div class="block">Sets the x coordinate within the second cell

                                        Note - XSSF and HSSF have a slightly different coordinate
                                        system, values in XSSF are larger by a factor of
                                        <a href="../../../../../org/apache/poi/util/Units.html#EMU_PER_PIXEL"><code>Units.EMU_PER_PIXEL</code></a>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#setDy1-int-">setDy1</a></span>(int&nbsp;dy1)</code>
                                    <div class="block">Sets the y coordinate within the first cell

                                        Note - XSSF and HSSF have a slightly different coordinate
                                        system, values in XSSF are larger by a factor of
                                        <a href="../../../../../org/apache/poi/util/Units.html#EMU_PER_PIXEL"><code>Units.EMU_PER_PIXEL</code></a>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#setDy2-int-">setDy2</a></span>(int&nbsp;dy2)</code>
                                    <div class="block">Sets the y coordinate within the second cell

                                        Note - XSSF and HSSF have a slightly different coordinate
                                        system, values in XSSF are larger by a factor of
                                        <a href="../../../../../org/apache/poi/util/Units.html#EMU_PER_PIXEL"><code>Units.EMU_PER_PIXEL</code></a>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#setRow1-int-">setRow1</a></span>(int&nbsp;row1)</code>
                                    <div class="block">Returns the row (0 based) of the first cell.</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#setRow2-int-">setRow2</a></span>(int&nbsp;row2)</code>
                                    <div class="block">Returns the row (0 based) of the first cell.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getCol1--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCol1</h4>
                                <pre>short&nbsp;getCol1()</pre>
                                <div class="block">Returns the column (0 based) of the first cell, or -1 if there is no
                                    top-left anchor cell.
                                    This is the case for absolute positioning <a
                                            href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.AnchorType.html#MOVE_AND_RESIZE"><code>ClientAnchor.AnchorType.MOVE_AND_RESIZE</code></a>
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>0-based column of the first cell or -1 if none.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCol1-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCol1</h4>
                                <pre>void&nbsp;setCol1(int&nbsp;col1)</pre>
                                <div class="block">Sets the column (0 based) of the first cell.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>col1</code> - 0-based column of the first cell.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCol2--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCol2</h4>
                                <pre>short&nbsp;getCol2()</pre>
                                <div class="block">Returns the column (0 based) of the second cell, or -1 if there is no
                                    bottom-right anchor cell.
                                    This is the case for absolute positioning (<a
                                            href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.AnchorType.html#DONT_MOVE_AND_RESIZE"><code>ClientAnchor.AnchorType.DONT_MOVE_AND_RESIZE</code></a>)
                                    and absolute sizing (<a
                                            href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.AnchorType.html#MOVE_DONT_RESIZE"><code>ClientAnchor.AnchorType.MOVE_DONT_RESIZE</code></a>.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>0-based column of the second cell or -1 if none.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCol2-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCol2</h4>
                                <pre>void&nbsp;setCol2(int&nbsp;col2)</pre>
                                <div class="block">Returns the column (0 based) of the second cell.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>col2</code> - 0-based column of the second cell.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRow1--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRow1</h4>
                                <pre>int&nbsp;getRow1()</pre>
                                <div class="block">Returns the row (0 based) of the first cell, or -1 if there is no
                                    bottom-right anchor cell.
                                    This is the case for absolute positioning (<a
                                            href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.AnchorType.html#DONT_MOVE_AND_RESIZE"><code>ClientAnchor.AnchorType.DONT_MOVE_AND_RESIZE</code></a>).
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>0-based row of the first cell or -1 if none.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setRow1-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRow1</h4>
                                <pre>void&nbsp;setRow1(int&nbsp;row1)</pre>
                                <div class="block">Returns the row (0 based) of the first cell.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>row1</code> - 0-based row of the first cell.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRow2--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRow2</h4>
                                <pre>int&nbsp;getRow2()</pre>
                                <div class="block">Returns the row (0 based) of the second cell, or -1 if there is no
                                    bottom-right anchor cell.
                                    This is the case for absolute positioning (<a
                                            href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.AnchorType.html#DONT_MOVE_AND_RESIZE"><code>ClientAnchor.AnchorType.DONT_MOVE_AND_RESIZE</code></a>)
                                    and absolute sizing (<a
                                            href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.AnchorType.html#MOVE_DONT_RESIZE"><code>ClientAnchor.AnchorType.MOVE_DONT_RESIZE</code></a>.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>0-based row of the second cell or -1 if none.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setRow2-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRow2</h4>
                                <pre>void&nbsp;setRow2(int&nbsp;row2)</pre>
                                <div class="block">Returns the row (0 based) of the first cell.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>row2</code> - 0-based row of the first cell.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDx1--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDx1</h4>
                                <pre>int&nbsp;getDx1()</pre>
                                <div class="block">Returns the x coordinate within the first cell.

                                    Note - XSSF and HSSF have a slightly different coordinate
                                    system, values in XSSF are larger by a factor of
                                    <a href="../../../../../org/apache/poi/util/Units.html#EMU_PER_PIXEL"><code>Units.EMU_PER_PIXEL</code></a>
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the x coordinate within the first cell</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setDx1-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setDx1</h4>
                                <pre>void&nbsp;setDx1(int&nbsp;dx1)</pre>
                                <div class="block">Sets the x coordinate within the first cell

                                    Note - XSSF and HSSF have a slightly different coordinate
                                    system, values in XSSF are larger by a factor of
                                    <a href="../../../../../org/apache/poi/util/Units.html#EMU_PER_PIXEL"><code>Units.EMU_PER_PIXEL</code></a>
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>dx1</code> - the x coordinate within the first cell</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDy1--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDy1</h4>
                                <pre>int&nbsp;getDy1()</pre>
                                <div class="block">Returns the y coordinate within the first cell

                                    Note - XSSF and HSSF have a slightly different coordinate
                                    system, values in XSSF are larger by a factor of
                                    <a href="../../../../../org/apache/poi/util/Units.html#EMU_PER_PIXEL"><code>Units.EMU_PER_PIXEL</code></a>
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the y coordinate within the first cell</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setDy1-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setDy1</h4>
                                <pre>void&nbsp;setDy1(int&nbsp;dy1)</pre>
                                <div class="block">Sets the y coordinate within the first cell

                                    Note - XSSF and HSSF have a slightly different coordinate
                                    system, values in XSSF are larger by a factor of
                                    <a href="../../../../../org/apache/poi/util/Units.html#EMU_PER_PIXEL"><code>Units.EMU_PER_PIXEL</code></a>
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>dy1</code> - the y coordinate within the first cell</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDy2--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDy2</h4>
                                <pre>int&nbsp;getDy2()</pre>
                                <div class="block">Sets the y coordinate within the second cell

                                    Note - XSSF and HSSF have a slightly different coordinate
                                    system, values in XSSF are larger by a factor of
                                    <a href="../../../../../org/apache/poi/util/Units.html#EMU_PER_PIXEL"><code>Units.EMU_PER_PIXEL</code></a>
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the y coordinate within the second cell</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setDy2-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setDy2</h4>
                                <pre>void&nbsp;setDy2(int&nbsp;dy2)</pre>
                                <div class="block">Sets the y coordinate within the second cell

                                    Note - XSSF and HSSF have a slightly different coordinate
                                    system, values in XSSF are larger by a factor of
                                    <a href="../../../../../org/apache/poi/util/Units.html#EMU_PER_PIXEL"><code>Units.EMU_PER_PIXEL</code></a>
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>dy2</code> - the y coordinate within the second cell</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDx2--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDx2</h4>
                                <pre>int&nbsp;getDx2()</pre>
                                <div class="block">Returns the x coordinate within the second cell

                                    Note - XSSF and HSSF have a slightly different coordinate
                                    system, values in XSSF are larger by a factor of
                                    <a href="../../../../../org/apache/poi/util/Units.html#EMU_PER_PIXEL"><code>Units.EMU_PER_PIXEL</code></a>
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the x coordinate within the second cell</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setDx2-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setDx2</h4>
                                <pre>void&nbsp;setDx2(int&nbsp;dx2)</pre>
                                <div class="block">Sets the x coordinate within the second cell

                                    Note - XSSF and HSSF have a slightly different coordinate
                                    system, values in XSSF are larger by a factor of
                                    <a href="../../../../../org/apache/poi/util/Units.html#EMU_PER_PIXEL"><code>Units.EMU_PER_PIXEL</code></a>
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>dx2</code> - the x coordinate within the second cell</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setAnchorType-org.apache.poi.ss.usermodel.ClientAnchor.AnchorType-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setAnchorType</h4>
                                <pre>void&nbsp;setAnchorType(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.AnchorType.html"
                                        title="enum in org.apache.poi.ss.usermodel">ClientAnchor.AnchorType</a>&nbsp;anchorType)</pre>
                                <div class="block">Sets the anchor type</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>anchorType</code> - the anchor type to set</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.14</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getAnchorType--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getAnchorType</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.AnchorType.html"
                                        title="enum in org.apache.poi.ss.usermodel">ClientAnchor.AnchorType</a>&nbsp;getAnchorType()</pre>
                                <div class="block">Gets the anchor type
                                    Changed from returning an int to an enum in POI 3.14 beta 1.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the anchor type</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ClientAnchor.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/ChildAnchor.html"
               title="interface in org.apache.poi.ss.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.AnchorType.html"
               title="enum in org.apache.poi.ss.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/ClientAnchor.html" target="_top">Frames</a>
        </li>
        <li><a href="ClientAnchor.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
